﻿#include "DIALOG.h"

/*********************************************************************
*
*       Externals
*
**********************************************************************
*/
extern WM_HWIN CreateIntro(void);
extern WM_HWIN CreateSecondScreen(void);

/*********************************************************************
*
*       Types
*
**********************************************************************
*/

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/

/*********************************************************************
*
*       Static data
*
**********************************************************************
*/

/*********************************************************************
*
*       Static code
*
**********************************************************************
*/

/*********************************************************************
*
*       _cbBk
*/
static void _cbBk(WM_MESSAGE * pMsg) {
  switch (pMsg->MsgId) {
  case WM_PAINT:
    GUI_SetBkColor(GUI_BLACK);
    GUI_Clear();
    break;
  default:
    WM_DefaultProc(pMsg);
    break;
  }
}

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       MainTask
*/
void MainTask(void) {
  WM_HWIN hItem;
  GUI_Init();
  WM_MULTIBUF_Enable(1);
  CreateIntro();
  while (1) {
    GUI_Delay(100);
  }
}

/*************************** End of file ****************************/
